API Credentials |

Company CheckFeature API Playground

Queue a feature check and poll for results using live API calls. Detects technologies, libraries, badges, and features on company websites. All requests require authentication and return structured JSON.

Try the API

Request Parameters

Quick Examples:
Stripe - jQuery library
Vanta - SOC 2 badge
Shopify - uses Cloudflare
Intercom - has live chat

Or Check Existing Request

Paste a request ID from a previous request to check its status:

Response

Loading request builder...

Example Requests

Your API credentials are pre-filled. Click "Copy" to copy the command to your clipboard.

cURL Example
curl -X POST https://api.nyne.ai/company/checkfeature \
  -H "Content-Type: application/json" \
  -H "X-API-Key: your_api_key_here" \
  -H "X-API-Secret: your_api_secret_here" \
  -d '{
    "company": "Stripe",
    "feature": "jQuery library"
  }'
Webhook Payload
POST https://example.com/webhooks/checkfeature Content-Type: application/json { "request_id": "cocf_64f2d8e4_1700000123", "status": "completed", "result": { "company": "Stripe", "feature": "jQuery library", "has_feature": true, "confidence": "high", "evidence": "Found jQuery version 3.6.0 loaded in multiple script tags on stripe.com" }, "created_at": "2025-11-10T22:20:03Z", "completed_at": "2025-11-10T22:20:17Z" }

Response Format

Successful responses follow this structure:

{ "success": true, "data": { "request_id": "cocf_64f2d8e4_1700000123", "status": "completed", "result": { "company": "Stripe", "feature": "jQuery library", "has_feature": true, "confidence": "high", "evidence": "Found jQuery version 3.6.0 loaded in multiple script tags on stripe.com" }, "created_on": "2025-11-10T22:20:03Z", "completed_on": "2025-11-10T22:20:17Z", "callback_url": "https://example.com/webhooks/checkfeature" }, "timestamp": "2025-11-10T22:20:17Z" }

Need Help?

Our support team is here to help you integrate and use our APIs effectively.

Email: support@nyne.ai

Sales: sales@nyne.ai